Astuces

WordPress : connaître la version PHP et MySQL requise

wordpress-php-mysqlQue vous soyez en environnement mutualisé (serveur partagé avec d’autres et vous ne vous occupez pas la configuration) ou en dédié (vous administrez vous même le serveur de A – Z), il est important de s’avoir quelles sont les versions de PHP et de MySQL installés afin de pouvoir installer la dernière version où non de WordPress.

Nous allons voir à travers de cet article comment connaître ses versions puis un tableau récapitulatif sera abordé afin que vous puissiez faire le meilleur choix et éviter ainsi les problèmes d’incompatibilité.

 

Comment connaître sa version PHP

Serveur mutualisé

Plusieurs choix :

  • Contactez votre hébergeur
  • Connectez vous à l’espace d’administration ou relisez votre contrat, tout devrait être mentionné

Serveur dédié

En utilisateur root, lancez la commande suivante en shell :

php --version 

Vous obtiendrez alors quelque chose du style :

PHP 5.3.3 (cli) (built: Jul 12 2013 20:35:47)
Copyright (c) 1997-2010 The PHP Group
Zend Engine v2.3.0, Copyright (c) 1998-2010 Zend Technologies

C’est le PHP 5.3.3 qui est ici important.

 

Comment connaître sa version MySQL

Serveur mutualisé

Plusieurs choix :

  • Contactez votre hébergeur
  • Connectez vous à l’espace d’administration ou relisez votre contrat, tout devrait être mentionné

Serveur dédié

En utilisateur root, lancez la commande suivante en shell :

mysql --version 

Vous obtiendrez alors quelque chose du style :

mysql  Ver 14.14 Distrib 5.1.69, for redhat-linux-gnu (x86_64) using readline 5.1

C’est le Distrib 5.1.69 qui est ici important.

 

Tableau récapitulatif des versions PHP et MySQL requise pour installer WordPress

Dernière version stable de WordPress à ce jour : 3.6.1.

Par mesure de sécurité, il est recommandé d’installer la dernière version stable en fonction de votre conf PHP / MySQL.

J’ai décidé de commencer le tableau à partir de la version 2.8.

Version Date de sortie PHP MySQL
2.8 10 juin 2009 4.3 4.0
2.8.1 9 juillet 2009 4.3 4.0
2.8.2 20 juillet 2009 4.3 4.0
2.8.3 3 août 2009 4.3 4.0
2.8.4 12 août 2009 4.3 4.0
2.8.5 20 octobre 2009 4.3 4.0
2.8.6 12 novembre 2009 4.3 4.0
2.9 18 décembre 2009 4.3 4.1.2
2.9.1 4 janvier 2010 4.3 4.1.2
2.9.2 15 février 2010 4.3 4.1.2
3.0 17 juin 2010 4.3 4.1.2
3.0.1 29 juillet 2010 4.3 4.1.2
3.0.2 30 novembre 2010 4.3 4.1.2
3.0.3 8 décembre 2010 4.3 4.1.2
3.0.4 29 décembre 2010 4.3 4.1.2
3.0.5 7 février 2011 4.3 4.1.2
3.0.6 * 26 avril 2011 4.3 4.1.2
3.1 23 février 2011 4.3 4.1.2
3.1.1 5 avril 2011 4.3 4.1.2
3.1.2 26 avril 2011 4.3 4.1.2
3.1.3 29 juin 2011 4.3 4.1.2
3.2 4 juillet 2011 5.2.4 5.0
3.2.1 12 juillet 2011 5.2.4 5.0
3.3 12 décembre 2011 5.2.4 5.0
3.3.1 3 janvier 2012 5.2.4 5.0
3.3.2 20 avril 2012 5.2.4 5.0
3.3.3 * 27 juin 2012 5.2.4 5.0
3.4 13 juin 2012 5.2.4 5.0
3.4.1 27 juin 2012 5.2.4 5.0
3.4.2 6 septembre 2012 5.2.4 5.0
3.5 11 décembre 2012 5.2.4 5.0
3.5.1 24 janvier 2013 5.2.4 5.0
3.5.2 21 juin 2013 5.2.4 5.0
3.6 1er août 2013 5.2.4 5.0
3.6.1 11 septembre 2013 5.2.4 5.0
3.7 à venir : octobre 2013
3.8 à venir : décembre 2013

* (version correctif de sécurité)

Si vous voulez plus d’informations, je vous invite sur le site du codex de WordPress.

 

Vous pouvez télécharger les dernières version de WordPress ici.

Montrez plus

@lex

Créateur de ce blog, je suis un passionné par tout ce qui touche à l'informatique et à la photographie.

Articles Liés

Laisser un commentaire

Votre adresse e-mail ne sera pas publiée. Les champs obligatoires sont indiqués avec *

:wink: :wacky: :vampire: :tongue: :sweating: :speechless: :smile: :sick: :shy: :santa: :sad: :punk: :pirate: :party: :ninja: :nerd: :milionaire: :love: :laugh: :kiss: :karate: :indian: :grin: :frozen: :emo: :dobtful: :devil: :cry: :cry :cool: :clown: :bored: :beaten: :angry: :angel: :amazed:

Ce site utilise Akismet pour réduire les indésirables. En savoir plus sur comment les données de vos commentaires sont utilisées.

Bouton retour en haut de la page